<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.iotechn.unimall.data.mapper.CompanyMapper">

    <select id="getCompanyList" resultType="com.iotechn.unimall.data.domain.CompanyDO">
       select 'exist' as checkFlag from unimall_company uc
       where uc.person_name = #{name}
       or uc.person_no = #{personNo}
       or uc.company_phone = #{phone}
    </select>

</mapper>